org.eclipse.net4j

## Interface ITransportConfigAware

- All Known Subinterfaces:
    InternalAcceptor, InternalChannelMultiplexer, InternalConnector
  All Known Implementing Classes:
    Acceptor, ChannelMultiplexer, Connector

      public interface ITransportConfigAware

  A concept that has a `transport configuration`, typically a `channel multiplexer`, `connector` or `acceptor`.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ITransportConfig` | `getConfig()` Returns the current transport configuration if there is one, a new empty one otherwise.
    `void` | `setConfig(ITransportConfig config)` Sets a new transport configuration by copying the given one.

- - ### Method Detail

    - #### getConfig

          ITransportConfig getConfig()

      Returns the current transport configuration if there is one, a new empty one otherwise.

    - #### setConfig

          void setConfig(ITransportConfig config)

      Sets a new transport configuration by copying the given one.

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html